> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaign

> Get a call campaign by ID with numbers and destinations



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json get /v2/admin/call-campaigns/{campaignId}
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/call-campaigns/{campaignId}:
    get:
      tags:
        - Call Campaigns
      summary: Get Campaign
      description: Get a call campaign by ID with numbers and destinations
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: campaignId
          required: true
          description: Campaign ID
      responses:
        '200':
          description: Campaign details
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Campaign ID
                  tenantId:
                    type: number
                    description: Tenant ID
                  name:
                    type: string
                    description: Campaign name
                  type:
                    type: string
                    description: Campaign type
                  dateStart:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Start date
                  dateEnd:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: End date
                  callerId:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Caller ID phone number
                  callDelay:
                    anyOf:
                      - type: number
                      - type: 'null'
                    description: Delay between calls in ms
                  state:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Campaign state
                  lastrun:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                    description: Last run timestamp
                  dialtimeout:
                    anyOf:
                      - type: number
                      - type: 'null'
                    description: Dial timeout in seconds
                  tech:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Technology type
                  message:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Campaign message
                  timeStart:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Start time
                  timeEnd:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: End time
                  timezone:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: IANA timezone
                  callFrequency:
                    anyOf:
                      - type: number
                      - type: 'null'
                    description: Call frequency in seconds
                  callHoursStart:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Calling hours start
                  callHoursEnd:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Calling hours end
                  recording:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Recording enabled (yes/no)
                  numbers:
                    type: array
                    items:
                      type: object
                      properties:
                        number:
                          type: string
                          description: Phone number
                        description:
                          anyOf:
                            - type: string
                            - type: 'null'
                          description: Number description
                        disposition:
                          anyOf:
                            - type: string
                            - type: 'null'
                          description: Call disposition
                      required:
                        - number
                        - description
                        - disposition
                      additionalProperties: false
                    description: Campaign phone numbers
                  destinations:
                    type: array
                    items:
                      type: object
                      properties:
                        typeSrc:
                          type: string
                          description: Source type
                        destType:
                          type: string
                          description: Destination type
                        id:
                          type: number
                          description: Destination ID
                        order:
                          type: number
                          description: Routing order
                        name:
                          description: Destination name
                          type: string
                        number:
                          description: Destination number
                          type: string
                      required:
                        - typeSrc
                        - destType
                        - id
                        - order
                      additionalProperties: false
                    description: Routing destinations
                  enableVMDetect:
                    type: number
                    description: VM detection enabled (1/0)
                  matchDestinations:
                    type: array
                    items:
                      type: object
                      properties:
                        typeSrc:
                          type: string
                          description: Source type
                        destType:
                          type: string
                          description: Destination type
                        id:
                          type: number
                          description: Destination ID
                        order:
                          type: number
                          description: Routing order
                        name:
                          description: Destination name
                          type: string
                        number:
                          description: Destination number
                          type: string
                      required:
                        - typeSrc
                        - destType
                        - id
                        - order
                      additionalProperties: false
                    description: VM detect match destinations
                  notMatchDestinations:
                    type: array
                    items:
                      type: object
                      properties:
                        typeSrc:
                          type: string
                          description: Source type
                        destType:
                          type: string
                          description: Destination type
                        id:
                          type: number
                          description: Destination ID
                        order:
                          type: number
                          description: Routing order
                        name:
                          description: Destination name
                          type: string
                        number:
                          description: Destination number
                          type: string
                      required:
                        - typeSrc
                        - destType
                        - id
                        - order
                      additionalProperties: false
                    description: VM detect no-match destinations
                required:
                  - id
                  - tenantId
                  - name
                  - type
                  - dateStart
                  - dateEnd
                  - callerId
                  - callDelay
                  - state
                  - lastrun
                  - dialtimeout
                  - tech
                  - message
                  - timeStart
                  - timeEnd
                  - timezone
                  - callFrequency
                  - callHoursStart
                  - callHoursEnd
                  - recording
                  - numbers
                  - destinations
                  - enableVMDetect
                  - matchDestinations
                  - notMatchDestinations
                additionalProperties: false
        '404':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````